org.eclipse.jface.viewers

## Interface ILabelDecorator

All Superinterfaces:
  IBaseLabelProvider

All Known Subinterfaces:
  IDecoratorManager, IDelayedLabelDecorator

All Known Implementing Classes:
  LabelDecorator

    public interface ILabelDecorator
    extends IBaseLabelProvider

A label decorator decorates the label text and image for some element. The original label text and image are obtained by some other means, for example by a label provider.

See Also:
  `ILabelProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`Image` `decorateImage(Image image, Object element)` Returns an image that is based on the given image, but decorated with additional information relating to the state of the provided element.
`String` `decorateText(String text, Object element)` Returns a text label that is based on the given text label, but decorated with additional information relating to the state of the provided element.

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Method Detail

#### decorateImage

    Image decorateImage(Image image,
                        Object element)

Returns an image that is based on the given image, but decorated with additional information relating to the state of the provided element. Text and image decoration updates can occur as a result of other updates within the workbench including deferred decoration by background processes. Clients should handle labelProviderChangedEvents for the given element to get the complete decoration.

Parameters:
  `image` - the input image to decorate, or `null` if the element has no image
  `element` - the element whose image is being decorated
Returns:
  the decorated image, or `null` if no decoration is to be applied
See Also:
  `LabelProviderChangedEvent`, `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`, `CompositeImageDescriptor`

#### decorateText

    String decorateText(String text,
                        Object element)

Returns a text label that is based on the given text label, but decorated with additional information relating to the state of the provided element. Text and image decoration updates can occur as a result of other updates within the workbench including deferred decoration by background processes. Clients should handle labelProviderChangedEvents for the given element to get the complete decoration.

Parameters:
  `text` - the input text label to decorate
  `element` - the element whose image is being decorated
Returns:
  the decorated text label, or `null` if no decoration is to be applied
See Also:
  `LabelProviderChangedEvent`, `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`